import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * An abstract class block.
 * 
 * @author Michael Berry
 * @version 18/07/08
 */
public abstract class Block extends Actor
{

    private int bounce;
    
    /**
     * Creates a new block with a default bounce setting.
     */
    protected Block()
    {
        bounce = 13;
    }

    /**
     * Creates a new Block
     * @param bounce how bouncy the block is
     */
    protected Block(int bounce)
    {
        this.bounce = bounce;
    }
    
    /**
     * Gets how bouncy the block is
     * @return the bounciness of the block
     */
    public int getBounce()
    {
        return bounce;
    }

    /**
     * If the block needs to do something when it's been hit,
     * it overrides this method.
     */ 
    public void hit() {}
}
