import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * A block that gradually breaks down
 * 
 * @author Michael Berry
 * @version 18/07/08
 */
public class BreakBlock extends Block
{
    private int life;
    private int startLife;
    /** An array of images of a block, gradually breaking down. */
    private static final GreenfootImage[] image = new GreenfootImage[4];
    
    /**
     * Sets the images of the block breaking down.
     */
    static
    {
        image[0] = new GreenfootImage("images/blueBlock.png");
        image[1] = new GreenfootImage("images/blueBlock1.png");
        image[2] = new GreenfootImage("images/blueBlock2.png");
        image[3] = new GreenfootImage("images/blueBlock3.png");
    }
    
    /**
     * Create a new block.
     * @param the number of hits the block will take before it disappears
     */
    public BreakBlock(int life)
    {
        this.life = life;
        startLife = life;
        setImage();
    }
    
    /**
     * Called when the block is hit.
     */
    public void hit()
    {
        life--;
        if(life==0) getWorld().removeObject(this);
        else setImage();
    }
    
    /**
     * Set the image
     */
    private void setImage()
    {
        if(life==3) setImage(image[1]);
        else if(life==2) setImage(image[2]);
        else if(life==1) setImage(image[3]);  
        else setImage(image[0]);
    }
}
